Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "609ab793-42a7-48d9-a517-2b55a192b3b3",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "9502b2c0-0840-49c5-93c9-7911e7270f5e",
"company_code": "sample string 5",
"company": {
"id": "ea2db061-47e6-40a6-aa9f-5f9457d20a07",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-01T15:38:40.502601+00:00",
"sales_territory_id": "00a9859c-8498-4fca-93ab-ce09666b67ba",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "7b0285b9-771c-4b0c-9d12-09c8e7355d3c",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e2e6ec8e-392f-482e-a98a-6308153bf573",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "a29d5543-9feb-45ef-ab55-ff36165247d8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "da7079e2-787b-4d97-b938-ab171ca01924",
"db_currency_id": "10db1940-b0e3-42f1-8dae-083b04c16cde",
"db_language_id": "abcf5765-211d-4fb1-9666-aca51cb4b2ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00"
},
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00"
},
"marketing_segment_id": "4cd6adba-4d43-4239-9cbc-d868e4886624",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "e73d1350-5593-4680-ab4b-4de0711bc799",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "0b1b0ba1-4e15-46a6-a2fa-0c25ac486885",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "79e399d7-16fe-4ace-9ac9-9528e90a9e65",
"db_country_code": "sample string 28",
"feelist_id": "207e3596-b8d1-4cd8-8cda-53e61b6a5524",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "a1bb9ce3-f667-48dd-841d-acdc0076fb51",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "fa5ed1f6-9c6b-4d0c-a50c-2439d168cb53",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00",
"db_currency_id": "3396a6e5-20b3-4293-a2f3-888b8ca6c335",
"db_currency_code": "sample string 10"
},
"company_type_id": "0ab6a2f3-b38c-40c4-a7e9-fb7e3be00d15",
"company_type_name": "sample string 32",
"company_type": {
"id": "6c3c1eaa-de66-4c9c-83be-f295d88dbb6e",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "c699c7e2-9ef2-400e-9f60-91a5d2b83c7a",
"sales_organization_code": "sample string 5"
},
"db_language_id": "b25f929a-4cf5-4eaf-8009-ead687a1cb9b",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "79e8c2fb-e4a5-46f4-9a3f-46c8cf4d48b9",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "84dcf871-83b9-41df-8152-135badfc1923",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "0e72c2c4-d6b4-494b-9e59-d7b53f35664e",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00"
},
"company_sector_id": "874322c5-4e47-4df7-9184-388015f7088c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "5abe0a58-2616-4a95-91dc-389eae4c7d75",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "3e643f3f-52ff-4854-ac9b-3db7570b91d0",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "36f182a8-7ab0-4b10-b841-4daeb2d333fc",
"account_manager_user_code": "sample string 56",
"company_status_id": "3d4fc5f4-73f9-4b39-a615-08e1062e4d1f",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00",
"id2": 60
},
"db_language_id": "8f00caa5-0836-4e7a-a0c7-661646c26bc8",
"db_language_code": "sample string 7",
"db_title_id": "ed62828f-0c52-4871-80bd-2a30f75b1a6a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-01T15:38:40.502601+00:00",
"create_date": "2026-11-01T15:38:40.502601+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-01T15:38:40.502601+00:00"
}